//////////////////////////////////////////
//
// NOTE: This is *not* a valid shader file
//
///////////////////////////////////////////
Shader "Shader Graphs/VFX_Shader" {
    Properties {
        _Base_Color ("Base Color", Color) = (1,1,1,1)
        _Background_Color ("Background Color", Color) = (0,0,0,0)
        _Alpha ("Alpha", Range(0, 1)) = 1
        [ToggleUI] _Use_Color_Texture ("Use Color Texture", Float) = 0
        _Color_Texture ("Color Texture", 2D) = "white" { }
        [ToggleUI] _Scroll ("------ Scroll", Float) = 0
        [ToggleUI] _UV_Polar_Corrdinates_Color ("------ UV Polar Corrdinates_Color", Float) = 0
        [ToggleUI] _Use_Alpha_Mask ("Use Alpha Mask", Float) = 0
        _Alpha_Mask ("Alpha Mask", 2D) = "white" { }
        [ToggleUI] _Scroll_Alpha_Mask ("------ Scroll_Alpha Mask", Float) = 0
        [ToggleUI] _UV_Polar_Corrdinates_Alpha ("------ UV Polar Corrdinates_Alpha", Float) = 0
        _Alpha_Gain ("------ Alpha Gain", Range(0, 10)) = 1
        _Dissolve_Threshold ("------ Dissolve Threshold", Range(0, 1)) = 0
        [ToggleUI] _Use_Alpha_Mask_2 ("Use Alpha Mask (2)", Float) = 0
        _Alpha_Mask_2 ("Alpha Mask (2)", 2D) = "white" { }
        [ToggleUI] _Scroll_Alpha_Mask_2 ("------ Scroll Alpha Mask (2)", Float) = 0
        [ToggleUI] _Use_Erosion ("Use Erosion", Float) = 0
        _Erosion_Threshold ("Erosion Threshold", Range(0, 1.5)) = 0
        _Erosion_Texture ("Erosion Texture", 2D) = "white" { }
        [ToggleUI] _Scroll_Erosion ("------ Scroll Erosion", Float) = 0
        [ToggleUI] _UV_Polar_Corrdinates_Erosion ("------ UV Polar Corrdinates_Erosion", Float) = 0
        [ToggleUI] _Use_PSystem_Alpha_Control_Erosion ("------ Use PSystem Alpha Control Erosion", Float) = 0
        [ToggleUI] _Use_Distortion ("Use Distortion", Float) = 0
        _Distortion ("Distortion", 2D) = "white" { }
        [ToggleUI] _Scroll_Distortion_Mask ("------ Scroll Distortion Mask", Float) = 0
        [ToggleUI] _UV_Polar_Corrdinates_Distortion_Mask ("------ UV Polar Corrdinates_Distortion Mask", Float) = 0
        _Distortion_Scale ("------ Distortion Scale", Range(0, 1)) = 0.2
        [ToggleUI] _Affect_Color_Texture ("--------- Affect Color Texture", Float) = 0
        [ToggleUI] _Affect_Alpha_Mask ("--------- Affect Alpha Mask", Float) = 0
        [ToggleUI] _Affect_Alpha_Mask_2 ("--------- Affect Alpha Mask (2)", Float) = 0
        [ToggleUI] _Affect_Erosion ("--------- Affect Erosion", Float) = 0
        _CastShadows ("_CastShadows", Float) = 0
        _Surface ("_Surface", Float) = 1
        _Blend ("_Blend", Float) = 0
        _AlphaClip ("_AlphaClip", Float) = 0
        _SrcBlend ("_SrcBlend", Float) = 1
        _DstBlend ("_DstBlend", Float) = 0
        [ToggleUI] _ZWrite ("_ZWrite", Float) = 0
        _ZWriteControl ("_ZWriteControl", Float) = 0
        _ZTest ("_ZTest", Float) = 4
        _Cull ("_Cull", Float) = 2
        _AlphaToMask ("_AlphaToMask", Float) = 0
        _QueueOffset ("_QueueOffset", Float) = 0
        _QueueControl ("_QueueControl", Float) = -1
        unity_Lightmaps ("unity_Lightmaps", 2DArray) = "" { }
        unity_LightmapsInd ("unity_LightmapsInd", 2DArray) = "" { }
        unity_ShadowMasks ("unity_ShadowMasks", 2DArray) = "" { }
    }
    SubShader {
        Tags { "DisableBatching" = "False" "QUEUE" = "Transparent" "RenderPipeline" = "UniversalPipeline" "RenderType" = "Transparent" "ShaderGraphShader" = "true" "ShaderGraphTargetId" = "UniversalUnlitSubTarget" "UniversalMaterialType" = "Unlit" }
        Pass {
            Name "Universal Forward"
            Tags { "DisableBatching" = "False" "QUEUE" = "Transparent" "RenderPipeline" = "UniversalPipeline" "RenderType" = "Transparent" "ShaderGraphShader" = "true" "ShaderGraphTargetId" = "UniversalUnlitSubTarget" "UniversalMaterialType" = "Unlit" }
            Blend Zero Zero, Zero Zero
            ZTest Off
            ZWrite Off
            Cull Off
            GpuProgramID 18095
            PlayerProgram "vp" {
                SubProgram "gles3 " {
                    Keywords { "_SCREEN_SPACE_OCCLUSION" }
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixVP[4];
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(1) uniform UnityPerDraw {
                    #endif
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_ObjectToWorld[4];
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_WorldToObject[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LODFade;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_WorldTransformParams;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RenderingLayer;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightData;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightIndices[2];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_ProbesOcclusion;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_DynamicLightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHC;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Min;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Max;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousM[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousMI[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_MotionVectorsParams;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    in highp vec3 in_POSITION0;
                    in highp vec3 in_NORMAL0;
                    in highp vec4 in_TEXCOORD0;
                    in highp vec4 in_COLOR0;
                    out highp vec4 vs_INTERP0;
                    out highp vec4 vs_INTERP1;
                    out highp vec3 vs_INTERP2;
                    out highp vec3 vs_INTERP3;
                    vec3 u_xlat0;
                    vec4 u_xlat1;
                    float u_xlat6;
                    void main()
                    {
                        u_xlat0.xyz = in_POSITION0.yyy * hlslcc_mtx4x4unity_ObjectToWorld[1].xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[0].xyz * in_POSITION0.xxx + u_xlat0.xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[2].xyz * in_POSITION0.zzz + u_xlat0.xyz;
                        u_xlat0.xyz = u_xlat0.xyz + hlslcc_mtx4x4unity_ObjectToWorld[3].xyz;
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixVP[1];
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[2] * u_xlat0.zzzz + u_xlat1;
                        vs_INTERP2.xyz = u_xlat0.xyz;
                        gl_Position = u_xlat1 + hlslcc_mtx4x4unity_MatrixVP[3];
                        vs_INTERP0 = in_TEXCOORD0;
                        vs_INTERP1 = in_COLOR0;
                        u_xlat0.x = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[0].xyz);
                        u_xlat0.y = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[1].xyz);
                        u_xlat0.z = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[2].xyz);
                        u_xlat6 = dot(u_xlat0.xyz, u_xlat0.xyz);
                        u_xlat6 = max(u_xlat6, 1.17549435e-38);
                        u_xlat6 = inversesqrt(u_xlat6);
                        vs_INTERP3.xyz = vec3(u_xlat6) * u_xlat0.xyz;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    #extension GL_EXT_shader_framebuffer_fetch : enable
                    #endif
                    
                    precision highp float;
                    precision highp int;
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec4 _ScaledScreenParams;
                    uniform 	vec2 _GlobalMipBias;
                    uniform 	vec4 _AmbientOcclusionParam;
                    uniform 	vec4 _TimeParameters;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerMaterial {
                    #endif
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Color_Texture_TexelSize;
                    	UNITY_UNIFORM vec4                _Color_Texture_ST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Alpha_Mask_TexelSize;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Alpha_Mask_ST;
                    	UNITY_UNIFORM vec4                _Base_Color;
                    	UNITY_UNIFORM float Xhlslcc_UnusedX_Scroll_Alpha_Mask;
                    	UNITY_UNIFORM float Xhlslcc_UnusedX_UV_Polar_Corrdinates_Alpha;
                    	UNITY_UNIFORM float Xhlslcc_UnusedX_Use_Alpha_Mask_2;
                    	UNITY_UNIFORM float Xhlslcc_UnusedX_Alpha;
                    	UNITY_UNIFORM float Xhlslcc_UnusedX_Scroll_Alpha_Mask_2;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Alpha_Mask_2_TexelSize;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Alpha_Mask_2_ST;
                    	UNITY_UNIFORM float                _Scroll;
                    	UNITY_UNIFORM float                _UV_Polar_Corrdinates_Distortion_Mask;
                    	UNITY_UNIFORM float Xhlslcc_UnusedX_Alpha_Gain;
                    	UNITY_UNIFORM float Xhlslcc_UnusedX_Use_Alpha_Mask;
                    	UNITY_UNIFORM float Xhlslcc_UnusedX_Dissolve_Threshold;
                    	UNITY_UNIFORM float                _Scroll_Distortion_Mask;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Distortion_TexelSize;
                    	UNITY_UNIFORM vec4                _Distortion_ST;
                    	UNITY_UNIFORM float                _Distortion_Scale;
                    	UNITY_UNIFORM float                _Use_Distortion;
                    	UNITY_UNIFORM float Xhlslcc_UnusedX_Use_PSystem_Alpha_Control_Erosion;
                    	UNITY_UNIFORM float Xhlslcc_UnusedX_Affect_Alpha_Mask;
                    	UNITY_UNIFORM float Xhlslcc_UnusedX_Affect_Alpha_Mask_2;
                    	UNITY_UNIFORM float Xhlslcc_UnusedX_Scroll_Erosion;
                    	UNITY_UNIFORM float Xhlslcc_UnusedX_UV_Polar_Corrdinates_Erosion;
                    	UNITY_UNIFORM float                _Affect_Color_Texture;
                    	UNITY_UNIFORM float                _UV_Polar_Corrdinates_Color;
                    	UNITY_UNIFORM float                _Use_Color_Texture;
                    	UNITY_UNIFORM vec4                _Background_Color;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Erosion_Texture_TexelSize;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Erosion_Texture_ST;
                    	UNITY_UNIFORM float Xhlslcc_UnusedX_Erosion_Threshold;
                    	UNITY_UNIFORM float Xhlslcc_UnusedX_Affect_Erosion;
                    	UNITY_UNIFORM float Xhlslcc_UnusedX_Use_Erosion;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    UNITY_LOCATION(0) uniform mediump sampler2D _ScreenSpaceOcclusionTexture;
                    UNITY_LOCATION(1) uniform mediump sampler2D _Color_Texture;
                    UNITY_LOCATION(2) uniform mediump sampler2D _Distortion;
                    in highp vec4 vs_INTERP0;
                    in highp vec4 vs_INTERP1;
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    layout(location = 0) inout highp vec4 SV_Target0;
                    #else
                    layout(location = 0) out highp vec4 SV_Target0;
                    #endif
                    vec3 u_xlat0;
                    vec3 u_xlat1;
                    bool u_xlatb1;
                    vec3 u_xlat2;
                    bvec3 u_xlatb2;
                    vec3 u_xlat3;
                    bvec3 u_xlatb3;
                    vec3 u_xlat4;
                    bool u_xlatb6;
                    vec2 u_xlat10;
                    bvec2 u_xlatb10;
                    vec2 u_xlat11;
                    bvec2 u_xlatb11;
                    float u_xlat15;
                    bool u_xlatb15;
                    void main()
                    {
                    vec4 hlslcc_FragCoord = vec4(gl_FragCoord.xyz, 1.0/gl_FragCoord.w);
                        u_xlat0.xy = vs_INTERP0.xy + vec2(-0.5, -0.5);
                        u_xlat10.x = max(abs(u_xlat0.y), abs(u_xlat0.x));
                        u_xlat10.x = float(1.0) / u_xlat10.x;
                        u_xlat15 = min(abs(u_xlat0.y), abs(u_xlat0.x));
                        u_xlat10.x = u_xlat10.x * u_xlat15;
                        u_xlat15 = u_xlat10.x * u_xlat10.x;
                        u_xlat1.x = u_xlat15 * 0.0208350997 + -0.0851330012;
                        u_xlat1.x = u_xlat15 * u_xlat1.x + 0.180141002;
                        u_xlat1.x = u_xlat15 * u_xlat1.x + -0.330299497;
                        u_xlat15 = u_xlat15 * u_xlat1.x + 0.999866009;
                        u_xlat1.x = u_xlat15 * u_xlat10.x;
                        u_xlat1.x = u_xlat1.x * -2.0 + 1.57079637;
                        u_xlatb6 = abs(u_xlat0.y)<abs(u_xlat0.x);
                        u_xlat1.x = u_xlatb6 ? u_xlat1.x : float(0.0);
                        u_xlat10.x = u_xlat10.x * u_xlat15 + u_xlat1.x;
                        u_xlatb15 = u_xlat0.y<(-u_xlat0.y);
                        u_xlat15 = u_xlatb15 ? -3.14159274 : float(0.0);
                        u_xlat10.x = u_xlat15 + u_xlat10.x;
                        u_xlat15 = min(u_xlat0.y, u_xlat0.x);
                        u_xlatb15 = u_xlat15<(-u_xlat15);
                        u_xlat1.x = max(u_xlat0.y, u_xlat0.x);
                        u_xlat0.x = dot(u_xlat0.xy, u_xlat0.xy);
                        u_xlat0.x = sqrt(u_xlat0.x);
                        u_xlat0.x = u_xlat0.x + u_xlat0.x;
                        u_xlatb1 = u_xlat1.x>=(-u_xlat1.x);
                        u_xlatb15 = u_xlatb15 && u_xlatb1;
                        u_xlat10.x = (u_xlatb15) ? (-u_xlat10.x) : u_xlat10.x;
                        u_xlat0.y = u_xlat10.x * 0.159235656;
                        u_xlatb10.xy = notEqual(vec4(0.0, 0.0, 0.0, 0.0), vec4(_Scroll, _UV_Polar_Corrdinates_Distortion_Mask, _Scroll, _UV_Polar_Corrdinates_Distortion_Mask)).xy;
                        u_xlat1.xy = (u_xlatb10.y) ? u_xlat0.xy : vs_INTERP0.xy;
                        u_xlat11.xy = u_xlat1.xy * _Distortion_ST.xy;
                        u_xlat1.xy = u_xlat1.xy * _Distortion_ST.xy + _Distortion_ST.zw;
                        u_xlat11.xy = _TimeParameters.xx * _Distortion_ST.zw + u_xlat11.xy;
                        u_xlatb15 = vec4(0.0, 0.0, 0.0, 0.0)!=vec4(_Scroll_Distortion_Mask);
                        u_xlat1.xy = (bool(u_xlatb15)) ? u_xlat11.xy : u_xlat1.xy;
                        u_xlat1.xy = texture(_Distortion, u_xlat1.xy, _GlobalMipBias.x).xy;
                        u_xlatb11.xy = notEqual(vec4(0.0, 0.0, 0.0, 0.0), vec4(_UV_Polar_Corrdinates_Color, _Use_Color_Texture, _UV_Polar_Corrdinates_Color, _Use_Color_Texture)).xy;
                        u_xlat0.xy = (u_xlatb11.x) ? u_xlat0.xy : vs_INTERP0.xy;
                        u_xlat2.xy = u_xlat0.xy * _Color_Texture_ST.xy;
                        u_xlat0.xy = u_xlat0.xy * _Color_Texture_ST.xy + _Color_Texture_ST.zw;
                        u_xlat2.xy = _Color_Texture_ST.zw * _TimeParameters.xx + u_xlat2.xy;
                        u_xlat0.xy = (u_xlatb10.x) ? u_xlat2.xy : u_xlat0.xy;
                        u_xlat10.xy = u_xlat1.xy * vec2(_Distortion_Scale) + u_xlat0.xy;
                        u_xlatb1 = vec4(0.0, 0.0, 0.0, 0.0)!=vec4(_Affect_Color_Texture);
                        u_xlat10.xy = (bool(u_xlatb1)) ? u_xlat10.xy : u_xlat0.xy;
                        u_xlatb1 = vec4(0.0, 0.0, 0.0, 0.0)!=vec4(_Use_Distortion);
                        u_xlat0.xy = (bool(u_xlatb1)) ? u_xlat10.xy : u_xlat0.xy;
                        u_xlat0.xyz = texture(_Color_Texture, u_xlat0.xy, _GlobalMipBias.x).xyz;
                        u_xlat0.xyz = (u_xlatb11.y) ? u_xlat0.xyz : vec3(1.0, 1.0, 1.0);
                        u_xlat1.xyz = log2(abs(_Base_Color.xyz));
                        u_xlat1.xyz = u_xlat1.xyz * vec3(0.416666657, 0.416666657, 0.416666657);
                        u_xlat1.xyz = exp2(u_xlat1.xyz);
                        u_xlat1.xyz = u_xlat1.xyz * vec3(1.05499995, 1.05499995, 1.05499995) + vec3(-0.0549999997, -0.0549999997, -0.0549999997);
                        u_xlatb2.xyz = greaterThanEqual(vec4(0.00313080009, 0.00313080009, 0.00313080009, 0.0), _Base_Color.xyzx).xyz;
                        u_xlat3.xyz = _Base_Color.xyz * vec3(12.9232101, 12.9232101, 12.9232101);
                        {
                            vec3 hlslcc_movcTemp = u_xlat1;
                            hlslcc_movcTemp.x = (u_xlatb2.x) ? u_xlat3.x : u_xlat1.x;
                            hlslcc_movcTemp.y = (u_xlatb2.y) ? u_xlat3.y : u_xlat1.y;
                            hlslcc_movcTemp.z = (u_xlatb2.z) ? u_xlat3.z : u_xlat1.z;
                            u_xlat1 = hlslcc_movcTemp;
                        }
                        u_xlat2.xyz = log2(abs(_Background_Color.xyz));
                        u_xlat2.xyz = u_xlat2.xyz * vec3(0.416666657, 0.416666657, 0.416666657);
                        u_xlat2.xyz = exp2(u_xlat2.xyz);
                        u_xlat2.xyz = u_xlat2.xyz * vec3(1.05499995, 1.05499995, 1.05499995) + vec3(-0.0549999997, -0.0549999997, -0.0549999997);
                        u_xlatb3.xyz = greaterThanEqual(vec4(0.00313080009, 0.00313080009, 0.00313080009, 0.0), _Background_Color.xyzx).xyz;
                        u_xlat4.xyz = _Background_Color.xyz * vec3(12.9232101, 12.9232101, 12.9232101);
                        {
                            vec3 hlslcc_movcTemp = u_xlat2;
                            hlslcc_movcTemp.x = (u_xlatb3.x) ? u_xlat4.x : u_xlat2.x;
                            hlslcc_movcTemp.y = (u_xlatb3.y) ? u_xlat4.y : u_xlat2.y;
                            hlslcc_movcTemp.z = (u_xlatb3.z) ? u_xlat4.z : u_xlat2.z;
                            u_xlat2 = hlslcc_movcTemp;
                        }
                        u_xlat1.xyz = u_xlat0.xyz * u_xlat1.xyz + (-u_xlat2.xyz);
                        u_xlat0.xyz = u_xlat0.xyz * u_xlat1.xyz + u_xlat2.xyz;
                        u_xlat0.xyz = u_xlat0.xyz * vs_INTERP1.xyz;
                        u_xlat1.xy = vec2(1.0) / vec2(_ScaledScreenParams.xy);
                        u_xlat1.xy = u_xlat1.xy * hlslcc_FragCoord.xy;
                        u_xlat15 = texture(_ScreenSpaceOcclusionTexture, u_xlat1.xy, _GlobalMipBias.x).x;
                        u_xlat15 = u_xlat15 + (-_AmbientOcclusionParam.x);
                        u_xlat15 = u_xlat15 + 1.0;
                        u_xlat15 = clamp(u_xlat15, 0.0, 1.0);
                        u_xlat15 = u_xlat15 + -1.0;
                        u_xlat15 = _AmbientOcclusionParam.w * u_xlat15 + 1.0;
                        SV_Target0.xyz = vec3(u_xlat15) * u_xlat0.xyz;
                        SV_Target0.w = 1.0;
                        return;
                    }
                    
                    #endif
                    "
                }
                SubProgram "gles3 " {
                    Keywords { "_SCREEN_SPACE_OCCLUSION" "_SURFACE_TYPE_TRANSPARENT" }
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixVP[4];
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(1) uniform UnityPerDraw {
                    #endif
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_ObjectToWorld[4];
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_WorldToObject[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LODFade;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_WorldTransformParams;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RenderingLayer;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightData;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightIndices[2];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_ProbesOcclusion;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_DynamicLightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHC;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Min;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Max;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousM[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousMI[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_MotionVectorsParams;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    in highp vec3 in_POSITION0;
                    in highp vec3 in_NORMAL0;
                    in highp vec4 in_TEXCOORD0;
                    in highp vec4 in_COLOR0;
                    out highp vec4 vs_INTERP0;
                    out highp vec4 vs_INTERP1;
                    out highp vec3 vs_INTERP2;
                    out highp vec3 vs_INTERP3;
                    vec3 u_xlat0;
                    vec4 u_xlat1;
                    float u_xlat6;
                    void main()
                    {
                        u_xlat0.xyz = in_POSITION0.yyy * hlslcc_mtx4x4unity_ObjectToWorld[1].xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[0].xyz * in_POSITION0.xxx + u_xlat0.xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[2].xyz * in_POSITION0.zzz + u_xlat0.xyz;
                        u_xlat0.xyz = u_xlat0.xyz + hlslcc_mtx4x4unity_ObjectToWorld[3].xyz;
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixVP[1];
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[2] * u_xlat0.zzzz + u_xlat1;
                        vs_INTERP2.xyz = u_xlat0.xyz;
                        gl_Position = u_xlat1 + hlslcc_mtx4x4unity_MatrixVP[3];
                        vs_INTERP0 = in_TEXCOORD0;
                        vs_INTERP1 = in_COLOR0;
                        u_xlat0.x = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[0].xyz);
                        u_xlat0.y = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[1].xyz);
                        u_xlat0.z = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[2].xyz);
                        u_xlat6 = dot(u_xlat0.xyz, u_xlat0.xyz);
                        u_xlat6 = max(u_xlat6, 1.17549435e-38);
                        u_xlat6 = inversesqrt(u_xlat6);
                        vs_INTERP3.xyz = vec3(u_xlat6) * u_xlat0.xyz;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    #extension GL_EXT_shader_framebuffer_fetch : enable
                    #endif
                    
                    precision highp float;
                    precision highp int;
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec2 _GlobalMipBias;
                    uniform 	vec4 _TimeParameters;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerMaterial {
                    #endif
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Color_Texture_TexelSize;
                    	UNITY_UNIFORM vec4                _Color_Texture_ST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Alpha_Mask_TexelSize;
                    	UNITY_UNIFORM vec4                _Alpha_Mask_ST;
                    	UNITY_UNIFORM vec4                _Base_Color;
                    	UNITY_UNIFORM float                _Scroll_Alpha_Mask;
                    	UNITY_UNIFORM float                _UV_Polar_Corrdinates_Alpha;
                    	UNITY_UNIFORM float                _Use_Alpha_Mask_2;
                    	UNITY_UNIFORM float                _Alpha;
                    	UNITY_UNIFORM float                _Scroll_Alpha_Mask_2;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Alpha_Mask_2_TexelSize;
                    	UNITY_UNIFORM vec4                _Alpha_Mask_2_ST;
                    	UNITY_UNIFORM float                _Scroll;
                    	UNITY_UNIFORM float                _UV_Polar_Corrdinates_Distortion_Mask;
                    	UNITY_UNIFORM float                _Alpha_Gain;
                    	UNITY_UNIFORM float                _Use_Alpha_Mask;
                    	UNITY_UNIFORM float                _Dissolve_Threshold;
                    	UNITY_UNIFORM float                _Scroll_Distortion_Mask;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Distortion_TexelSize;
                    	UNITY_UNIFORM vec4                _Distortion_ST;
                    	UNITY_UNIFORM float                _Distortion_Scale;
                    	UNITY_UNIFORM float                _Use_Distortion;
                    	UNITY_UNIFORM float                _Use_PSystem_Alpha_Control_Erosion;
                    	UNITY_UNIFORM float                _Affect_Alpha_Mask;
                    	UNITY_UNIFORM float                _Affect_Alpha_Mask_2;
                    	UNITY_UNIFORM float                _Scroll_Erosion;
                    	UNITY_UNIFORM float                _UV_Polar_Corrdinates_Erosion;
                    	UNITY_UNIFORM float                _Affect_Color_Texture;
                    	UNITY_UNIFORM float                _UV_Polar_Corrdinates_Color;
                    	UNITY_UNIFORM float                _Use_Color_Texture;
                    	UNITY_UNIFORM vec4                _Background_Color;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Erosion_Texture_TexelSize;
                    	UNITY_UNIFORM vec4                _Erosion_Texture_ST;
                    	UNITY_UNIFORM float                _Erosion_Threshold;
                    	UNITY_UNIFORM float                _Affect_Erosion;
                    	UNITY_UNIFORM float                _Use_Erosion;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    UNITY_LOCATION(0) uniform mediump sampler2D _Color_Texture;
                    UNITY_LOCATION(1) uniform mediump sampler2D _Alpha_Mask;
                    UNITY_LOCATION(2) uniform mediump sampler2D _Alpha_Mask_2;
                    UNITY_LOCATION(3) uniform mediump sampler2D _Distortion;
                    UNITY_LOCATION(4) uniform mediump sampler2D _Erosion_Texture;
                    in highp vec4 vs_INTERP0;
                    in highp vec4 vs_INTERP1;
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    layout(location = 0) inout highp vec4 SV_Target0;
                    #else
                    layout(location = 0) out highp vec4 SV_Target0;
                    #endif
                    vec3 u_xlat0;
                    vec4 u_xlat1;
                    bvec4 u_xlatb1;
                    vec3 u_xlat2;
                    bvec3 u_xlatb2;
                    vec3 u_xlat3;
                    bvec3 u_xlatb3;
                    bvec4 u_xlatb4;
                    vec4 u_xlat5;
                    float u_xlat6;
                    float u_xlat7;
                    bvec2 u_xlatb7;
                    vec2 u_xlat12;
                    bvec2 u_xlatb13;
                    vec2 u_xlat14;
                    vec2 u_xlat15;
                    float u_xlat18;
                    bool u_xlatb18;
                    void main()
                    {
                        u_xlat0.xy = vs_INTERP0.xy + vec2(-0.5, -0.5);
                        u_xlat12.x = max(abs(u_xlat0.y), abs(u_xlat0.x));
                        u_xlat12.x = float(1.0) / u_xlat12.x;
                        u_xlat18 = min(abs(u_xlat0.y), abs(u_xlat0.x));
                        u_xlat12.x = u_xlat12.x * u_xlat18;
                        u_xlat18 = u_xlat12.x * u_xlat12.x;
                        u_xlat1.x = u_xlat18 * 0.0208350997 + -0.0851330012;
                        u_xlat1.x = u_xlat18 * u_xlat1.x + 0.180141002;
                        u_xlat1.x = u_xlat18 * u_xlat1.x + -0.330299497;
                        u_xlat18 = u_xlat18 * u_xlat1.x + 0.999866009;
                        u_xlat1.x = u_xlat18 * u_xlat12.x;
                        u_xlat1.x = u_xlat1.x * -2.0 + 1.57079637;
                        u_xlatb7.x = abs(u_xlat0.y)<abs(u_xlat0.x);
                        u_xlat1.x = u_xlatb7.x ? u_xlat1.x : float(0.0);
                        u_xlat12.x = u_xlat12.x * u_xlat18 + u_xlat1.x;
                        u_xlatb18 = u_xlat0.y<(-u_xlat0.y);
                        u_xlat18 = u_xlatb18 ? -3.14159274 : float(0.0);
                        u_xlat12.x = u_xlat18 + u_xlat12.x;
                        u_xlat18 = min(u_xlat0.y, u_xlat0.x);
                        u_xlatb18 = u_xlat18<(-u_xlat18);
                        u_xlat1.x = max(u_xlat0.y, u_xlat0.x);
                        u_xlat0.x = dot(u_xlat0.xy, u_xlat0.xy);
                        u_xlat0.x = sqrt(u_xlat0.x);
                        u_xlat0.x = u_xlat0.x + u_xlat0.x;
                        u_xlatb1.x = u_xlat1.x>=(-u_xlat1.x);
                        u_xlatb18 = u_xlatb18 && u_xlatb1.x;
                        u_xlat12.x = (u_xlatb18) ? (-u_xlat12.x) : u_xlat12.x;
                        u_xlat0.y = u_xlat12.x * 0.159235656;
                        u_xlatb1.xyz = notEqual(vec4(0.0, 0.0, 0.0, 0.0), vec4(_UV_Polar_Corrdinates_Alpha, _Scroll_Alpha_Mask, _Use_Alpha_Mask_2, _UV_Polar_Corrdinates_Alpha)).xyz;
                        u_xlat12.xy = (u_xlatb1.x) ? u_xlat0.xy : vs_INTERP0.xy;
                        u_xlat1.xw = u_xlat12.xy * _Alpha_Mask_ST.xy;
                        u_xlat12.xy = u_xlat12.xy * _Alpha_Mask_ST.xy + _Alpha_Mask_ST.zw;
                        u_xlat1.xw = _TimeParameters.xx * _Alpha_Mask_ST.zw + u_xlat1.xw;
                        u_xlat12.xy = (u_xlatb1.y) ? u_xlat1.xw : u_xlat12.xy;
                        u_xlatb1.xyw = notEqual(vec4(0.0, 0.0, 0.0, 0.0), vec4(_Scroll, _UV_Polar_Corrdinates_Distortion_Mask, _Scroll, _Use_Alpha_Mask)).xyw;
                        u_xlat2.xy = (u_xlatb1.y) ? u_xlat0.xy : vs_INTERP0.xy;
                        u_xlat14.xy = u_xlat2.xy * _Distortion_ST.xy;
                        u_xlat2.xy = u_xlat2.xy * _Distortion_ST.xy + _Distortion_ST.zw;
                        u_xlat14.xy = _TimeParameters.xx * _Distortion_ST.zw + u_xlat14.xy;
                        u_xlatb7.x = vec4(0.0, 0.0, 0.0, 0.0)!=vec4(_Scroll_Distortion_Mask);
                        u_xlat2.xy = (u_xlatb7.x) ? u_xlat14.xy : u_xlat2.xy;
                        u_xlat2.xy = texture(_Distortion, u_xlat2.xy, _GlobalMipBias.x).xy;
                        u_xlat14.xy = u_xlat2.xy * vec2(_Distortion_Scale) + u_xlat12.xy;
                        u_xlatb3.xyz = notEqual(vec4(0.0, 0.0, 0.0, 0.0), vec4(_Use_Distortion, _Use_PSystem_Alpha_Control_Erosion, _Affect_Alpha_Mask, _Use_Distortion)).xyz;
                        u_xlat14.xy = (u_xlatb3.z) ? u_xlat14.xy : u_xlat12.xy;
                        u_xlat12.xy = (u_xlatb3.x) ? u_xlat14.xy : u_xlat12.xy;
                        u_xlat12.x = texture(_Alpha_Mask, u_xlat12.xy, _GlobalMipBias.x).x;
                        u_xlat12.x = u_xlat12.x * _Alpha_Gain;
                        u_xlat18 = u_xlat12.x;
                        u_xlat18 = clamp(u_xlat18, 0.0, 1.0);
                        u_xlat12.x = u_xlat12.x * _Dissolve_Threshold;
                        u_xlat12.x = u_xlatb1.w ? u_xlat12.x : float(0.0);
                        u_xlat14.xy = vs_INTERP0.xy * _Alpha_Mask_2_ST.xy;
                        u_xlat14.xy = _TimeParameters.xx * _Alpha_Mask_2_ST.zw + u_xlat14.xy;
                        u_xlat15.xy = vs_INTERP0.xy * _Alpha_Mask_2_ST.xy + _Alpha_Mask_2_ST.zw;
                        u_xlatb7.x = vec4(0.0, 0.0, 0.0, 0.0)!=vec4(_Scroll_Alpha_Mask_2);
                        u_xlat14.xy = (u_xlatb7.x) ? u_xlat14.xy : u_xlat15.xy;
                        u_xlat15.xy = u_xlat2.xy * vec2(_Distortion_Scale) + u_xlat14.xy;
                        u_xlatb4 = notEqual(vec4(0.0, 0.0, 0.0, 0.0), vec4(_Affect_Color_Texture, _Affect_Alpha_Mask_2, _UV_Polar_Corrdinates_Erosion, _Scroll_Erosion));
                        u_xlat15.xy = (u_xlatb4.y) ? u_xlat15.xy : u_xlat14.xy;
                        u_xlat14.xy = (u_xlatb3.x) ? u_xlat15.xy : u_xlat14.xy;
                        u_xlat7 = texture(_Alpha_Mask_2, u_xlat14.xy, _GlobalMipBias.x).x;
                        u_xlat7 = u_xlat18 * u_xlat7;
                        u_xlat18 = (u_xlatb1.z) ? u_xlat7 : u_xlat18;
                        u_xlatb7.xy = notEqual(vec4(0.0, 0.0, 0.0, 0.0), vec4(_UV_Polar_Corrdinates_Color, _Use_Color_Texture, _UV_Polar_Corrdinates_Color, _UV_Polar_Corrdinates_Color)).xy;
                        u_xlat14.xy = (u_xlatb7.x) ? u_xlat0.xy : vs_INTERP0.xy;
                        u_xlat0.xy = (u_xlatb4.z) ? u_xlat0.xy : vs_INTERP0.xy;
                        u_xlat15.xy = u_xlat14.xy * _Color_Texture_ST.xy;
                        u_xlat14.xy = u_xlat14.xy * _Color_Texture_ST.xy + _Color_Texture_ST.zw;
                        u_xlat15.xy = _Color_Texture_ST.zw * _TimeParameters.xx + u_xlat15.xy;
                        u_xlat1.xy = (u_xlatb1.x) ? u_xlat15.xy : u_xlat14.xy;
                        u_xlat14.xy = u_xlat2.xy * vec2(_Distortion_Scale) + u_xlat1.xy;
                        u_xlat14.xy = (u_xlatb4.x) ? u_xlat14.xy : u_xlat1.xy;
                        u_xlat1.xy = (u_xlatb3.x) ? u_xlat14.xy : u_xlat1.xy;
                        u_xlat5 = texture(_Color_Texture, u_xlat1.xy, _GlobalMipBias.x);
                        u_xlat5 = (u_xlatb7.y) ? u_xlat5 : vec4(1.0, 1.0, 1.0, 1.0);
                        u_xlat18 = u_xlat18 * u_xlat5.w;
                        u_xlat18 = (u_xlatb1.w) ? u_xlat18 : u_xlat5.w;
                        u_xlat1.xy = u_xlat0.xy * _Erosion_Texture_ST.xy;
                        u_xlat0.xy = u_xlat0.xy * _Erosion_Texture_ST.xy + _Erosion_Texture_ST.zw;
                        u_xlat1.xy = _TimeParameters.xx * _Erosion_Texture_ST.zw + u_xlat1.xy;
                        u_xlat0.xy = (u_xlatb4.w) ? u_xlat1.xy : u_xlat0.xy;
                        u_xlat1.xy = u_xlat2.xy * vec2(_Distortion_Scale) + u_xlat0.xy;
                        u_xlatb13.xy = notEqual(vec4(0.0, 0.0, 0.0, 0.0), vec4(_Affect_Erosion, _Use_Erosion, _Affect_Erosion, _Use_Erosion)).xy;
                        u_xlat1.xy = (u_xlatb13.x) ? u_xlat1.xy : u_xlat0.xy;
                        u_xlat0.xy = (u_xlatb3.x) ? u_xlat1.xy : u_xlat0.xy;
                        u_xlat1.xyz = texture(_Erosion_Texture, u_xlat0.xy, _GlobalMipBias.x).xyz;
                        u_xlat1.xyz = max(u_xlat1.xyz, vec3(0.0, 0.0, 0.0));
                        u_xlat1.xyz = min(u_xlat1.xyz, vec3(0.800000012, 0.800000012, 0.800000012));
                        u_xlat1.xyz = (-u_xlat1.xyz) + vec3(1.0, 1.0, 1.0);
                        u_xlat0.x = dot(u_xlat1.xyz, vec3(0.212672904, 0.715152204, 0.0721750036));
                        u_xlat6 = u_xlat0.x * _Erosion_Threshold;
                        u_xlat6 = u_xlatb13.y ? u_xlat6 : float(0.0);
                        u_xlat6 = u_xlat6 + u_xlat12.x;
                        u_xlat12.x = (-vs_INTERP1.w) + 1.0;
                        u_xlat0.x = u_xlat0.x * u_xlat12.x;
                        u_xlat0.x = u_xlatb13.y ? u_xlat0.x : float(0.0);
                        u_xlat0.x = (u_xlatb3.y) ? u_xlat0.x : u_xlat6;
                        u_xlat6 = (u_xlatb3.y) ? 1.0 : vs_INTERP1.w;
                        u_xlat0.x = u_xlat0.x * 5.0;
                        u_xlat0.x = clamp(u_xlat0.x, 0.0, 1.0);
                        u_xlat0.x = (-u_xlat0.x) + u_xlat18;
                        u_xlat0.x = clamp(u_xlat0.x, 0.0, 1.0);
                        u_xlat0.x = u_xlat0.x * u_xlat6;
                        SV_Target0.w = u_xlat0.x * _Alpha;
                        u_xlat0.xyz = log2(abs(_Base_Color.xyz));
                        u_xlat0.xyz = u_xlat0.xyz * vec3(0.416666657, 0.416666657, 0.416666657);
                        u_xlat0.xyz = exp2(u_xlat0.xyz);
                        u_xlat0.xyz = u_xlat0.xyz * vec3(1.05499995, 1.05499995, 1.05499995) + vec3(-0.0549999997, -0.0549999997, -0.0549999997);
                        u_xlatb1.xyz = greaterThanEqual(vec4(0.00313080009, 0.00313080009, 0.00313080009, 0.0), _Base_Color.xyzx).xyz;
                        u_xlat2.xyz = _Base_Color.xyz * vec3(12.9232101, 12.9232101, 12.9232101);
                        {
                            vec3 hlslcc_movcTemp = u_xlat0;
                            hlslcc_movcTemp.x = (u_xlatb1.x) ? u_xlat2.x : u_xlat0.x;
                            hlslcc_movcTemp.y = (u_xlatb1.y) ? u_xlat2.y : u_xlat0.y;
                            hlslcc_movcTemp.z = (u_xlatb1.z) ? u_xlat2.z : u_xlat0.z;
                            u_xlat0 = hlslcc_movcTemp;
                        }
                        u_xlat1.xyz = log2(abs(_Background_Color.xyz));
                        u_xlat1.xyz = u_xlat1.xyz * vec3(0.416666657, 0.416666657, 0.416666657);
                        u_xlat1.xyz = exp2(u_xlat1.xyz);
                        u_xlat1.xyz = u_xlat1.xyz * vec3(1.05499995, 1.05499995, 1.05499995) + vec3(-0.0549999997, -0.0549999997, -0.0549999997);
                        u_xlatb2.xyz = greaterThanEqual(vec4(0.00313080009, 0.00313080009, 0.00313080009, 0.0), _Background_Color.xyzx).xyz;
                        u_xlat3.xyz = _Background_Color.xyz * vec3(12.9232101, 12.9232101, 12.9232101);
                        {
                            vec4 hlslcc_movcTemp = u_xlat1;
                            hlslcc_movcTemp.x = (u_xlatb2.x) ? u_xlat3.x : u_xlat1.x;
                            hlslcc_movcTemp.y = (u_xlatb2.y) ? u_xlat3.y : u_xlat1.y;
                            hlslcc_movcTemp.z = (u_xlatb2.z) ? u_xlat3.z : u_xlat1.z;
                            u_xlat1 = hlslcc_movcTemp;
                        }
                        u_xlat0.xyz = u_xlat5.xyz * u_xlat0.xyz + (-u_xlat1.xyz);
                        u_xlat0.xyz = u_xlat5.xyz * u_xlat0.xyz + u_xlat1.xyz;
                        SV_Target0.xyz = u_xlat0.xyz * vs_INTERP1.xyz;
                        return;
                    }
                    
                    #endif
                    "
                }
            }
        }
        Pass {
            Name "DepthOnly"
            Tags { "DisableBatching" = "False" "LIGHTMODE" = "DepthOnly" "QUEUE" = "Transparent" "RenderPipeline" = "UniversalPipeline" "RenderType" = "Transparent" "ShaderGraphShader" = "true" "ShaderGraphTargetId" = "UniversalUnlitSubTarget" "UniversalMaterialType" = "Unlit" }
            ColorMask B 0
            Cull Off
            GpuProgramID 93919
            PlayerProgram "vp" {
                SubProgram "gles3 " {
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixVP[4];
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerDraw {
                    #endif
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_ObjectToWorld[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_WorldToObject[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LODFade;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_WorldTransformParams;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RenderingLayer;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightData;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightIndices[2];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_ProbesOcclusion;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_DynamicLightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHC;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Min;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Max;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousM[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousMI[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_MotionVectorsParams;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    in highp vec3 in_POSITION0;
                    in highp vec4 in_TEXCOORD0;
                    in highp vec4 in_COLOR0;
                    out highp vec4 vs_INTERP0;
                    out highp vec4 vs_INTERP1;
                    vec4 u_xlat0;
                    vec4 u_xlat1;
                    void main()
                    {
                        u_xlat0.xyz = in_POSITION0.yyy * hlslcc_mtx4x4unity_ObjectToWorld[1].xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[0].xyz * in_POSITION0.xxx + u_xlat0.xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[2].xyz * in_POSITION0.zzz + u_xlat0.xyz;
                        u_xlat0.xyz = u_xlat0.xyz + hlslcc_mtx4x4unity_ObjectToWorld[3].xyz;
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixVP[1];
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat0 = hlslcc_mtx4x4unity_MatrixVP[2] * u_xlat0.zzzz + u_xlat1;
                        gl_Position = u_xlat0 + hlslcc_mtx4x4unity_MatrixVP[3];
                        vs_INTERP0 = in_TEXCOORD0;
                        vs_INTERP1 = in_COLOR0;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    #extension GL_EXT_shader_framebuffer_fetch : enable
                    #endif
                    
                    precision highp float;
                    precision highp int;
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    layout(location = 0) inout highp vec4 SV_TARGET0;
                    #else
                    layout(location = 0) out highp vec4 SV_TARGET0;
                    #endif
                    void main()
                    {
                    vec4 hlslcc_FragCoord = vec4(gl_FragCoord.xyz, 1.0/gl_FragCoord.w);
                        SV_TARGET0 = hlslcc_FragCoord.zzzz;
                        return;
                    }
                    
                    #endif
                    "
                }
            }
        }
        Pass {
            Name "DepthNormalsOnly"
            Tags { "DisableBatching" = "False" "LIGHTMODE" = "DepthNormalsOnly" "QUEUE" = "Transparent" "RenderPipeline" = "UniversalPipeline" "RenderType" = "Transparent" "ShaderGraphShader" = "true" "ShaderGraphTargetId" = "UniversalUnlitSubTarget" "UniversalMaterialType" = "Unlit" }
            Cull Off
            GpuProgramID 181556
            PlayerProgram "vp" {
                SubProgram "gles3 " {
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixVP[4];
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerDraw {
                    #endif
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_ObjectToWorld[4];
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_WorldToObject[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LODFade;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_WorldTransformParams;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RenderingLayer;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightData;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightIndices[2];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_ProbesOcclusion;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_DynamicLightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHC;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Min;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Max;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousM[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousMI[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_MotionVectorsParams;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    in highp vec3 in_POSITION0;
                    in highp vec3 in_NORMAL0;
                    in highp vec4 in_TEXCOORD0;
                    in highp vec4 in_COLOR0;
                    out highp vec4 vs_INTERP0;
                    out highp vec4 vs_INTERP1;
                    out highp vec3 vs_INTERP2;
                    vec4 u_xlat0;
                    vec4 u_xlat1;
                    float u_xlat6;
                    void main()
                    {
                        u_xlat0.xyz = in_POSITION0.yyy * hlslcc_mtx4x4unity_ObjectToWorld[1].xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[0].xyz * in_POSITION0.xxx + u_xlat0.xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[2].xyz * in_POSITION0.zzz + u_xlat0.xyz;
                        u_xlat0.xyz = u_xlat0.xyz + hlslcc_mtx4x4unity_ObjectToWorld[3].xyz;
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixVP[1];
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat0 = hlslcc_mtx4x4unity_MatrixVP[2] * u_xlat0.zzzz + u_xlat1;
                        gl_Position = u_xlat0 + hlslcc_mtx4x4unity_MatrixVP[3];
                        vs_INTERP0 = in_TEXCOORD0;
                        vs_INTERP1 = in_COLOR0;
                        u_xlat0.x = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[0].xyz);
                        u_xlat0.y = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[1].xyz);
                        u_xlat0.z = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[2].xyz);
                        u_xlat6 = dot(u_xlat0.xyz, u_xlat0.xyz);
                        u_xlat6 = max(u_xlat6, 1.17549435e-38);
                        u_xlat6 = inversesqrt(u_xlat6);
                        vs_INTERP2.xyz = vec3(u_xlat6) * u_xlat0.xyz;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    #extension GL_EXT_shader_framebuffer_fetch : enable
                    #endif
                    
                    precision highp float;
                    precision highp int;
                    in highp vec3 vs_INTERP2;
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    layout(location = 0) inout highp vec4 SV_Target0;
                    #else
                    layout(location = 0) out highp vec4 SV_Target0;
                    #endif
                    float u_xlat0;
                    void main()
                    {
                        u_xlat0 = dot(vs_INTERP2.xyz, vs_INTERP2.xyz);
                        u_xlat0 = inversesqrt(u_xlat0);
                        SV_Target0.xyz = vec3(u_xlat0) * vs_INTERP2.xyz;
                        SV_Target0.w = 0.0;
                        return;
                    }
                    
                    #endif
                    "
                }
                SubProgram "gles3 " {
                    Keywords { "_SURFACE_TYPE_TRANSPARENT" }
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixVP[4];
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerDraw {
                    #endif
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_ObjectToWorld[4];
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_WorldToObject[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LODFade;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_WorldTransformParams;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RenderingLayer;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightData;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightIndices[2];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_ProbesOcclusion;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_DynamicLightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHC;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Min;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Max;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousM[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousMI[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_MotionVectorsParams;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    in highp vec3 in_POSITION0;
                    in highp vec3 in_NORMAL0;
                    in highp vec4 in_TEXCOORD0;
                    in highp vec4 in_COLOR0;
                    out highp vec4 vs_INTERP0;
                    out highp vec4 vs_INTERP1;
                    out highp vec3 vs_INTERP2;
                    vec4 u_xlat0;
                    vec4 u_xlat1;
                    float u_xlat6;
                    void main()
                    {
                        u_xlat0.xyz = in_POSITION0.yyy * hlslcc_mtx4x4unity_ObjectToWorld[1].xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[0].xyz * in_POSITION0.xxx + u_xlat0.xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[2].xyz * in_POSITION0.zzz + u_xlat0.xyz;
                        u_xlat0.xyz = u_xlat0.xyz + hlslcc_mtx4x4unity_ObjectToWorld[3].xyz;
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixVP[1];
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat0 = hlslcc_mtx4x4unity_MatrixVP[2] * u_xlat0.zzzz + u_xlat1;
                        gl_Position = u_xlat0 + hlslcc_mtx4x4unity_MatrixVP[3];
                        vs_INTERP0 = in_TEXCOORD0;
                        vs_INTERP1 = in_COLOR0;
                        u_xlat0.x = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[0].xyz);
                        u_xlat0.y = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[1].xyz);
                        u_xlat0.z = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[2].xyz);
                        u_xlat6 = dot(u_xlat0.xyz, u_xlat0.xyz);
                        u_xlat6 = max(u_xlat6, 1.17549435e-38);
                        u_xlat6 = inversesqrt(u_xlat6);
                        vs_INTERP2.xyz = vec3(u_xlat6) * u_xlat0.xyz;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    #extension GL_EXT_shader_framebuffer_fetch : enable
                    #endif
                    
                    precision highp float;
                    precision highp int;
                    in highp vec3 vs_INTERP2;
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    layout(location = 0) inout highp vec4 SV_Target0;
                    #else
                    layout(location = 0) out highp vec4 SV_Target0;
                    #endif
                    float u_xlat0;
                    void main()
                    {
                        u_xlat0 = dot(vs_INTERP2.xyz, vs_INTERP2.xyz);
                        u_xlat0 = inversesqrt(u_xlat0);
                        SV_Target0.xyz = vec3(u_xlat0) * vs_INTERP2.xyz;
                        SV_Target0.w = 0.0;
                        return;
                    }
                    
                    #endif
                    "
                }
            }
        }
        Pass {
            Name "ShadowCaster"
            Tags { "DisableBatching" = "False" "LIGHTMODE" = "SHADOWCASTER" "QUEUE" = "Transparent" "RenderPipeline" = "UniversalPipeline" "RenderType" = "Transparent" "ShaderGraphShader" = "true" "ShaderGraphTargetId" = "UniversalUnlitSubTarget" "UniversalMaterialType" = "Unlit" }
            ColorMask 0 0
            Cull Off
            GpuProgramID 250056
            PlayerProgram "vp" {
                SubProgram "gles3 " {
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixVP[4];
                    uniform 	vec4 _ShadowBias;
                    uniform 	vec3 _LightDirection;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerDraw {
                    #endif
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_ObjectToWorld[4];
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_WorldToObject[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LODFade;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_WorldTransformParams;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RenderingLayer;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightData;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightIndices[2];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_ProbesOcclusion;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_DynamicLightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHC;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Min;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Max;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousM[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousMI[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_MotionVectorsParams;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    in highp vec3 in_POSITION0;
                    in highp vec3 in_NORMAL0;
                    in highp vec4 in_TEXCOORD0;
                    in highp vec4 in_COLOR0;
                    out highp vec4 vs_INTERP0;
                    out highp vec4 vs_INTERP1;
                    out highp vec3 vs_INTERP2;
                    vec4 u_xlat0;
                    vec4 u_xlat1;
                    float u_xlat6;
                    void main()
                    {
                        u_xlat0.xyz = in_POSITION0.yyy * hlslcc_mtx4x4unity_ObjectToWorld[1].xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[0].xyz * in_POSITION0.xxx + u_xlat0.xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[2].xyz * in_POSITION0.zzz + u_xlat0.xyz;
                        u_xlat0.xyz = u_xlat0.xyz + hlslcc_mtx4x4unity_ObjectToWorld[3].xyz;
                        u_xlat0.xyz = vec3(_LightDirection.x, _LightDirection.y, _LightDirection.z) * _ShadowBias.xxx + u_xlat0.xyz;
                        u_xlat1.x = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[0].xyz);
                        u_xlat1.y = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[1].xyz);
                        u_xlat1.z = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[2].xyz);
                        u_xlat6 = dot(u_xlat1.xyz, u_xlat1.xyz);
                        u_xlat6 = max(u_xlat6, 1.17549435e-38);
                        u_xlat6 = inversesqrt(u_xlat6);
                        u_xlat1.xyz = vec3(u_xlat6) * u_xlat1.xyz;
                        u_xlat6 = dot(vec3(_LightDirection.x, _LightDirection.y, _LightDirection.z), u_xlat1.xyz);
                        u_xlat6 = clamp(u_xlat6, 0.0, 1.0);
                        u_xlat6 = (-u_xlat6) + 1.0;
                        u_xlat6 = u_xlat6 * _ShadowBias.y;
                        u_xlat0.xyz = u_xlat1.xyz * vec3(u_xlat6) + u_xlat0.xyz;
                        vs_INTERP2.xyz = u_xlat1.xyz;
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixVP[1];
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat0 = hlslcc_mtx4x4unity_MatrixVP[2] * u_xlat0.zzzz + u_xlat1;
                        u_xlat0 = u_xlat0 + hlslcc_mtx4x4unity_MatrixVP[3];
                        gl_Position.z = max(u_xlat0.z, -1.0);
                        gl_Position.xyw = u_xlat0.xyw;
                        vs_INTERP0 = in_TEXCOORD0;
                        vs_INTERP1 = in_COLOR0;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    #extension GL_EXT_shader_framebuffer_fetch : enable
                    #endif
                    
                    precision highp float;
                    precision highp int;
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    layout(location = 0) inout highp vec4 SV_TARGET0;
                    #else
                    layout(location = 0) out highp vec4 SV_TARGET0;
                    #endif
                    void main()
                    {
                        SV_TARGET0 = vec4(0.0, 0.0, 0.0, 0.0);
                        return;
                    }
                    
                    #endif
                    "
                }
                SubProgram "gles3 " {
                    Keywords { "_CASTING_PUNCTUAL_LIGHT_SHADOW" }
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixVP[4];
                    uniform 	vec4 _ShadowBias;
                    uniform 	vec3 _LightPosition;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerDraw {
                    #endif
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_ObjectToWorld[4];
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_WorldToObject[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LODFade;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_WorldTransformParams;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RenderingLayer;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightData;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightIndices[2];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_ProbesOcclusion;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_DynamicLightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHC;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Min;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Max;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousM[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousMI[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_MotionVectorsParams;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    in highp vec3 in_POSITION0;
                    in highp vec3 in_NORMAL0;
                    in highp vec4 in_TEXCOORD0;
                    in highp vec4 in_COLOR0;
                    out highp vec4 vs_INTERP0;
                    out highp vec4 vs_INTERP1;
                    out highp vec3 vs_INTERP2;
                    vec4 u_xlat0;
                    vec4 u_xlat1;
                    vec3 u_xlat2;
                    float u_xlat9;
                    void main()
                    {
                        u_xlat0.xyz = in_POSITION0.yyy * hlslcc_mtx4x4unity_ObjectToWorld[1].xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[0].xyz * in_POSITION0.xxx + u_xlat0.xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[2].xyz * in_POSITION0.zzz + u_xlat0.xyz;
                        u_xlat0.xyz = u_xlat0.xyz + hlslcc_mtx4x4unity_ObjectToWorld[3].xyz;
                        u_xlat1.xyz = (-u_xlat0.xyz) + _LightPosition.xyz;
                        u_xlat9 = dot(u_xlat1.xyz, u_xlat1.xyz);
                        u_xlat9 = inversesqrt(u_xlat9);
                        u_xlat1.xyz = vec3(u_xlat9) * u_xlat1.xyz;
                        u_xlat0.xyz = u_xlat1.xyz * _ShadowBias.xxx + u_xlat0.xyz;
                        u_xlat2.x = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[0].xyz);
                        u_xlat2.y = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[1].xyz);
                        u_xlat2.z = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[2].xyz);
                        u_xlat9 = dot(u_xlat2.xyz, u_xlat2.xyz);
                        u_xlat9 = max(u_xlat9, 1.17549435e-38);
                        u_xlat9 = inversesqrt(u_xlat9);
                        u_xlat2.xyz = vec3(u_xlat9) * u_xlat2.xyz;
                        u_xlat9 = dot(u_xlat1.xyz, u_xlat2.xyz);
                        u_xlat9 = clamp(u_xlat9, 0.0, 1.0);
                        u_xlat9 = (-u_xlat9) + 1.0;
                        u_xlat9 = u_xlat9 * _ShadowBias.y;
                        u_xlat0.xyz = u_xlat2.xyz * vec3(u_xlat9) + u_xlat0.xyz;
                        vs_INTERP2.xyz = u_xlat2.xyz;
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixVP[1];
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat0 = hlslcc_mtx4x4unity_MatrixVP[2] * u_xlat0.zzzz + u_xlat1;
                        u_xlat0 = u_xlat0 + hlslcc_mtx4x4unity_MatrixVP[3];
                        gl_Position.z = max(u_xlat0.z, -1.0);
                        gl_Position.xyw = u_xlat0.xyw;
                        vs_INTERP0 = in_TEXCOORD0;
                        vs_INTERP1 = in_COLOR0;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    #extension GL_EXT_shader_framebuffer_fetch : enable
                    #endif
                    
                    precision highp float;
                    precision highp int;
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    layout(location = 0) inout highp vec4 SV_TARGET0;
                    #else
                    layout(location = 0) out highp vec4 SV_TARGET0;
                    #endif
                    void main()
                    {
                        SV_TARGET0 = vec4(0.0, 0.0, 0.0, 0.0);
                        return;
                    }
                    
                    #endif
                    "
                }
            }
        }
        Pass {
            Name "GBuffer"
            Tags { "DisableBatching" = "False" "LIGHTMODE" = "UniversalGBuffer" "QUEUE" = "Transparent" "RenderPipeline" = "UniversalPipeline" "RenderType" = "Transparent" "ShaderGraphShader" = "true" "ShaderGraphTargetId" = "UniversalUnlitSubTarget" "UniversalMaterialType" = "Unlit" }
            Blend Zero Zero, Zero Zero
            ZTest Off
            ZWrite Off
            Cull Off
            GpuProgramID 278344
        }
    }
Fallback "Hidden/Shader Graph/FallbackError"
CustomEditor "UnityEditor.ShaderGraph.GenericShaderGraphMaterialGUI"
}